#ifndef CONTINUOUS_PTHREAD_SIMULATION_HPP
#define CONTINUOUS_PTHREAD_SIMULATION_HPP

#include "PthreadSimulation.hpp"

namespace nbody {
	class ContinuousPthreadSimulation : public PthreadSimulation {
		friend class BarnesHutTreeThreaded;
	protected:
		int iterations;
		pthread_barrier_t barrier;

		static void* run(void* data);
	public:
		ContinuousPthreadSimulation();
		virtual ~ContinuousPthreadSimulation();
		virtual void initialize(string inputFile);
		virtual void cleanup();
		virtual void setIterations(int iterations);
		virtual void run();
	};
}

#endif
